Double_t mandel(Double_t *XP,Double_t *par) {
  const Int_t nmax=30;
  Double_t xx=0.,yy=0.,tt,x,y;
  x=XP[0];y=XP[1];
  for (Int_t n=1;n<nmax;n++) {
    tt=xx*xx-yy*yy+x;
    yy=2.*xx*yy+y;
    xx=tt;
    if (xx*xx+yy*yy>4.) break;
  }
  return Double_t(n)/Double_t(nmax);
}
