c========================================================================
      real function loggauss(e)
      implicit none
      real e,nevents,e_peak,e_fwhm,asimm,x,x_peak,x_fwhm,sqrtpi,sqrtln2
      common /PAWPAR/nevents,e_peak,e_fwhm,asimm
      parameter (sqrtpi=1.77245, sqrtln2=0.83255)
      data nevents/1000./,e_peak/82./,e_fwhm/25./,asimm/2.7/
c::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      x_peak=exp(-1./(2.*asimm**2))
      x_fwhm=x_peak*abs(exp(sqrtln2/asimm)-exp(-sqrtln2/asimm))
      x=x_peak+x_fwhm*(e-e_peak)/e_fwhm
      if (x.gt.1e-6) then
        loggauss=nevents*asimm/(sqrtpi*x)*x_fwhm/e_fwhm*
     &    exp(-(asimm*log(x))**2)
      else
        loggauss=0.
      endif
      return
      end
c========================================================================
